FlexBar2.OnMenuRequest = 
{
	type = "group",
	name = "FlexBar2",
	desc = "FlexBar2 menu",
	disabled = InCombatLockdown,
	args = 
	{
		{
			type = "group",
			name= "Reset",
			desc = "Reset default settings",
			args =
			{
				{
					type = "text",
					name = "Specific buttons",
					desc = "Reset given button(s)",
					get = false,
					validate = function(Buttons) return FlexBar2:ButtonParser(Buttons, true); end,
					set = function(Buttons) for _, v in pairs(FlexBar2:ButtonParser(Buttons)) do FlexBar2:SetDefaults(tonumber(v)); end end,
					usage = "",
				},
				{
					type = "execute",
					name = "All buttons",
					desc = "Reset all buttons (might take a while)",
					func = function() FlexBar2:SetDefaults("*"); end,
				}
			}
		},
	}
};

FlexBar2.defaultMinimapPosition = 285;
FlexBar2.title = "FlexBar 2"
FlexBar2.clickableTooltip = false;
FlexBar2.cannotDetachTooltip = true;
FlexBar2.independentProfile = true;
FlexBar2.hasNoColor = true;
FlexBar2.hasIcon = "Interface\\Icons\\Spell_Nature_Strength";

local Tablet = AceLibrary("Tablet-2.0");
function FlexBar2:OnTooltipUpdate()
	local ClickActions = Tablet:AddCategory()
	Tablet:SetHint("");
end

function FlexBar2:ButtonParser(Buttons, validate)
	RangeStart, RangeEnd = string.match(Buttons, "^(%d+)-(%d+)$");
	if(RangeStart and RangeEnd) then
		if(validate) then
			return true;
		else
			local Range = {};
			for i = RangeStart, RangeEnd do
				table.insert(Range, i);
			end
			return Range;
		end
	end
	if(string.match(Buttons, "^%[(.+)%]$")) then
		if(validate) then
			return true;
		else
			
			return { string.split(" ", string.sub(Buttons, 2, -2)) };
		end
	end
	Button = string.match(Buttons, "^(%w+)$");
	if(Button) then
		return { Button };
	end
	return false;
end
